Get AWS trust info - Barndoor Documentation
Get AWS trust info
cURL
curl --request GET \
--url https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/connections/{id}/aws-trust-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200
- 400
- 404
Sample Responses
{
"principal_arn": "arn:aws:iam::123456789012:role/barndoor-llm-gateway",
"external_id": "bd-ext-9f3c1"
}
{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}
Authorizations
Authorization: string (header)
- Required: JWT obtained through Barndoor's authentication flow. Pass the token verbatim in
Authorization: Bearer <token>. Use the Barndoor SDK'sloginInteractive()helper to obtain a token in scripts and notebooks.
Path Parameters
- id: string
(required)
Credential UUID.
Response
200 (application/json) Trust policy parameters
principal_arn: string (required)
- Example: `